
import com.imsl.chart.*;
import java.awt.Color;

public class SampleBarGroupStack extends JFrameChart {

    static final Color darkRed = new Color(196, 0, 0);
    static final Color lightBlue = new Color(196, 185, 253);

    public SampleBarGroupStack() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        // y is a 2 by 3 by 4 array
        double y[][][] = {
            {{4, 2, 3, 9}, {8, 4, 2, 3}, {1, 5, 3, 8}},
            {{6, 7, 5, 2}, {4, 1, 7, 2}, {8, 5, 6, 1}}
        };
        Bar bar = new Bar(axis, y);
        bar.setBarType(Bar.BAR_TYPE_VERTICAL);
        bar.setLabels(new String[]{"A", "B", "C", "D"});
        // group 0 - shades of red
        bar.getBarSet(0, 0).setFillColor(Color.red);
        bar.getBarSet(1, 0).setFillColor(darkRed);
        // group 1 - shades of blue
        bar.getBarSet(0, 1).setFillColor(Color.blue);
        bar.getBarSet(1, 1).setFillColor(lightBlue);
        // group 2 - shades of gray
        bar.getBarSet(0, 2).setFillColor(Color.gray);
        bar.getBarSet(1, 2).setFillColor(Color.lightGray);
    }

    public static void main(String argv[]) {
        new SampleBarGroupStack().setVisible(true);
    }
}
